(function($){
	var updateHash = function(cb, forceConnect){
		$.ajax({
			type: 'get',
			url: config.getCodeUrl,
            xhrFields: { withCredentials: true },
			crossDomain: true,
			dataType: "jsonp",
			success: function(data){
        if (data.hash) {
          if (forceConnect) {
            data.force_connect = 1;
          }
          $.post(config.updateCodeUrl, data, function () {
            cb && cb(data)
          });
        } else {
          cb && cb(data)
        }
      },
		});
	};

	$(document).ready(function(){
		if(!config.key){
      updateHash(function (data) {
        if (data.hash) {
          var loggedIn = $('.js-logged-in');
          loggedIn.html(loggedIn.html().replace('{{name}}', data.name).replace('{{email}}', data.email));
          loggedIn.show();
        } else {
          $('.js-logged-out').show()
        }
      })
		}
	});
	$(document).on('click', '#udimi-optin-connect-button', function(){
		$(this).attr('disabled','disabled');
		updateHash(function(data){
			if(data.error){
				alert(data.error);
			}else{
				window.location.reload();
			}
		}, true);
	});
    $(document).on('click', '#udimi-optin-status-button', function(){
        $(this).attr('disabled', 'disabled');
        $.post(config.toggleStatusUrl, {'toggle_status': '1'}, function(){
            window.location.reload();
        })
    });
  $(document).on('click', '[data-href]', function () {
    window.open($(this).attr('data-href'), '_blank')
  })
})(jQuery);
