<?php
if(isset($_POST['hash'])){
	UdimiOptin::saveUdimiCode($_POST);
	die();
}
if(isset($_POST['toggle_status'])){
    UdimiOptin::toggleStatus();
    die();
}

global $wpdb;
$ud_script = '';
$key = get_option('udimi_optin_key');
$name = get_option('udimi_optin_name');
$email = get_option('udimi_optin_email');
$connected = get_option('udimi_optin_connected', false);
$ud_message = '';
$ud_message_class = 'error';
?>
<div class="wrap">
  <h2>Udimi tracker Settings</h2>

	<?php if (!empty($ud_message)): ?>
		<div class="updated settings-error <?= $ud_message_class; ?> is-dismissible">
			<p><?= $ud_message; ?></p>
			<button class="notice-dismiss" type="button">
				<span class="screen-reader-text">Dismiss this notice.</span>
			</button>
		</div>
	<?php endif;?>

	<?php if ($key && $name): ?>
      <table class="form-table">
        <tr>
          <td>
            Udimi account: <strong><?= $name ?></strong> <?= $email ? '(' . $email . ')' : '' ?>
          </td>
        </tr>
        <tr>
          <td>Status: <strong><?= $connected ? 'Connected' : 'not connected' ?></strong></td>
        </tr>
		  <?php if ($connected): ?>
            <tr>
              <td>You are all set.<br>

                Now your site will automatically track optins. Go to Udimi and click Optin tracking link on the leftside
                menu to setup your funnels.
              </td>
            </tr>
            <tr>
              <td>
                <button type="button" class="button button-primary" data-href="https://udimi.com/tracking">
                  Optin Tracking
                </button>
              </td>
            </tr>
		  <?php else: ?>
            <tr>
              <td>
                <button type="button" class="button button-primary" id="udimi-optin-connect-button">Connect</button>
              </td>
            </tr>
		  <?php endif; ?>
      </table>
	<?php else: ?>
      <table class="form-table js-logged-in" style="display:none">
        <tr>
          <td>
            Udimi account: <strong class="js-name">{{name}}</strong> {{email}}
          </td>
        </tr>
        <tr>
          <td>Status: <strong class="js-status">not connected</strong></td>
        </tr>
        <tr>
          <td>
            <button type="button" class="button button-primary" id="udimi-optin-connect-button">Connect</button>
          </td>
        </tr>
      </table>
      <table class="form-table js-logged-out" style="display:none">
        <tr>
          <td>
            Udimi account: <strong>unknown</strong>
          </td>
        </tr>
        <tr>
          <td>Status: <strong>not connected</strong></td>
        </tr>
        <tr>
          <td>
            Please login to your Udimi account and refresh this page.
          </td>
        </tr>
        <tr>
          <td>
            <button type="button" class="button button-primary" data-href="https://udimi.com/login">Login to Udimi
            </button>
          </td>
        </tr>
      </table>
    <?php endif;?>
</div>
